unit myString;

interface

{
  Deletes all the spaces in s. Spaces includes leading, trailing and
  spaces inside s.  
}
function Remove_Embeded_Spaces(s : string) : string;

function Chop_To_Length(s : string; wanted_len : byte) : string;
function Digit_Only(s : string) : string;

implementation


function Remove_Embeded_Spaces(s : string) : string;
var
  i : byte;
begin
  Remove_Embeded_Spaces := '';
  
  i := pos(' ', s);

  while (i > 0) do
    begin
      delete(s, i, 1);
      i := pos(' ', s);
    end;

  Remove_Embeded_Spaces := s;
end;

function Chop_To_Length(s : string; wanted_len : byte) : string;
var
  tstr : string;
  len : byte;
begin
  tstr := s;
  Chop_To_Length := tstr;

  len := length(tstr);

  if (len <= wanted_len) then
    exit;

  delete(tstr, wanted_len + 1, len - wanted_len);

  Chop_To_Length := tstr;
end;


function Digit_Only(s : string) : string;
var
  i, len : byte;
  outstr : string;
begin
  outstr := '';
  Digit_Only := '';
  
  len := length(s);

  for i := 1 to len do
    begin
      if (s[i] in ['0'..'9']) then
        outstr := outstr + s[i];
    end;

  Digit_Only := outstr;
end;

end.
